#
# spec file for package perl-IO-Socket-SSL (Version 0.97)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-IO-Socket-SSL
BuildRequires:  perl-Net_SSLeay perl-libwww-perl
Version:        0.97
Release:        14.4.29
Provides:       p_iossl
Obsoletes:      p_iossl
Requires:       perl-Net_SSLeay perl-libwww-perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/IO
Summary:        IO::Socket::SSL Perl Module
Source:         IO-Socket-SSL-%{version}.tar.bz2
Patch:          IO-Socket-SSL-%{version}-store_set_flags.diff
Patch1:         IO-Socket-SSL-%{version}-nofail-on-zero-data-in-generic_read.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IO::Socket::SSL is a class implementing an object oriented interface to
SSL sockets. The class is a descendant of IO::Socket::INET and provides
a subset of the base class' interface methods.



Authors:
--------
    <aspa@kronodoc.fi>

%prep
%setup -n IO-Socket-SSL-%{version}
%patch
%patch1

%build
perl Makefile.PL
make
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes BUGS README example util
%doc %{_mandir}/man?/*
%{perl_vendorlib}/IO
%{perl_vendorarch}/auto/IO
/var/adm/perl-modules/%{name}

%changelog
* Fri May 22 2009 anicka@suse.cz
- fix generic read (bnc#497088)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 0.97
* Wed Sep 29 2004 mls@suse.de
- use X509_STORE_set_flags instead of X509_STORE_CTX_set_flags
* Thu Aug 19 2004 mjancar@suse.cz
- update to 0.96
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.95
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 mjancar@suse.cz
- update 0.94
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- run make test
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Dec 20 2002 prehak@suse.cz
- updated to 0.92
- added example directory
* Wed Dec 18 2002 prehak@suse.cz
- updated to version 0.901
* Thu Jul 11 2002 prehak@suse.cz
- updated to version 0.81
- added demo, util and more to documetation
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Jan 14 2002 rvasice@suse.cz
- update to version 0.80
* Fri Aug 24 2001 rvasice@suse.cz
- removed make test - need network
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 0.79
- add make test
* Tue Mar 13 2001 cihlar@suse.cz
- update to version 0.77
* Fri Nov 10 2000 cihlar@suse.cz
- renamed p_iossl -> perl-IO-Socket-SSL
* Wed Aug 23 2000 cihlar@suse.cz
- package created
